Bug 471026 - Review Request: chrony - An NTP client/server
Review Request: chrony - An NTP client/server
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-11 08:22 EST by Miroslav Lichvar
Modified: 2011-05-18 17:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-24 08:37:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miroslav Lichvar 2008-11-11 08:22:55 EST
Spec URL: http://fedorapeople.org/~mlichvar/tmp/chrony.spec
SRPM URL: http://fedorapeople.org/~mlichvar/tmp/chrony-1.23-1.20081106gitbe42b4.fc10.src.rpm
Description:
A client/server for the Network Time Protocol, this program keeps your
computer's clock accurate. It was specially designed to support
systems with dial-up Internet connections, and also supports computers
in permanently connected environments.
Comment 1 Dan Horák 2008-11-14 08:41:34 EST
formal review is here, see the notes below:

OK	source files match upstream:
	    f0c6b32099329f358dbdb4f62753d2c7cbc13c79  chrony-1.23.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible (GPLv2). License text included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
OK	debuginfo package looks complete.
??	rpmlint is silent.
OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
??	correct scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.


- rpmlint complains a bit
chrony.src:52: W: configure-without-libdir-spec
    hand-crafted configure script, can be ignored
    
chrony.x86_64: W: non-standard-uid /var/lib/chrony chrony
chrony.x86_64: W: non-standard-gid /var/lib/chrony chrony
chrony.x86_64: W: non-standard-uid /var/log/chrony chrony
chrony.x86_64: W: non-standard-gid /var/log/chrony chrony
chrony.x86_64: W: non-standard-uid /var/lib/chrony/rtc chrony
chrony.x86_64: W: non-standard-gid /var/lib/chrony/rtc chrony
chrony.x86_64: W: non-standard-uid /var/lib/chrony/drift chrony
chrony.x86_64: W: non-standard-gid /var/lib/chrony/drift chrony
    OK

chrony.x86_64: E: non-readable /etc/chrony.keys 0600
    OK

chrony.x86_64: W: log-files-without-logrotate /var/log/chrony
    does chrony rotate the logs itself or ...?

- the texinfo postun scriptlet is called at wrong occasion (https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Texinfo)
Comment 2 Miroslav Lichvar 2008-11-14 09:21:30 EST
chrony doesn't rotate the logs, but there is a small problem that it keeps the files open. It needs to be told to release them by cyclelogs command which requires authorization which requires a valid commandkey in chrony.keys file.

I'll try to fix both issues and post an update.
Comment 3 Miroslav Lichvar 2008-11-19 11:13:04 EST
http://fedorapeople.org/~mlichvar/tmp/chrony-1.23-2.20081106gitbe42b4.fc10.src.rpm

* Wed Nov 19 2008 Miroslav Lichvar <mlichvar@redhat.com> 1.23-2.20081106gitbe42b4
- fix info uninstall
- generate random command key in init script
- support cyclelogs, online, offline commands in init script
- add logrotate script
Comment 4 Dan Horák 2008-11-19 12:33:14 EST
All issues are fixed, so this package is APPROVED.

One final note - the Guidelines recommend that you add a comment nearby the patches that tracks their upstream status: https://fedoraproject.org/wiki/Packaging/PatchUpstreamStatus
Comment 5 Miroslav Lichvar 2008-11-19 12:42:18 EST
Thanks for the review.
Comment 6 Miroslav Lichvar 2008-11-19 12:44:48 EST
New Package CVS Request
=======================
Package Name: chrony
Short Description: An NTP client/server
Owners: mlichvar
Branches: F-9 F-10
InitialCC:
Comment 7 Kevin Fenzi 2008-11-22 23:08:44 EST
cvs done.
Comment 8 Miroslav Lichvar 2011-05-13 07:38:08 EDT
Package Change Request
======================
Package Name: chrony
New Branches: el5 el6
Owners: mlichvar
Comment 9 Jason Tibbitts 2011-05-18 17:16:57 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.